Name: apricots
Version:  0.2.6
Release:  %mkrel 1
Summary: 2D air combat game

Group: Games/Arcade
License: GPLv2
URL: http://www.fishies.org.uk/apricots.html
Source0: http://www.fishies.org.uk/apricots-%{version}.tar.xz    
Source1: apricots.png
Patch0: apricots-0.2.6-alut-apricots.patch
Patch1: apricots-0.2.6-alut-sampleio.patch
Patch2: apricots-0.2.6-alut-configure.patch
Patch3: apricots-0.2.6-path.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: SDL-devel
BuildRequires: freealut-devel
BuildRequires: desktop-file-utils
BuildRequires: openal-devel
BuildRequires: autoconf automake

%description
It's a game where you fly a little plane around the screen and
shoot things and drop bombs on enemy targets, and it's meant to be quick 
and fun.

%prep
%setup -q

chmod -x apricots/*.cpp
chmod -x apricots/*.h

%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p0

%build
autoconf
./configure --prefix=/usr

%make


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
install -m 755 apricots/apricots %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/apricots
install -m 644 apricots/*.wav %{buildroot}%{_datadir}/apricots
mkdir -p %{buildroot}%{_sysconfdir}
install -m 644 apricots/apricots.cfg %{buildroot}%{_sysconfdir}
ln -s ../../..%{_sysconfdir}/apricots.cfg %{buildroot}%{_datadir}/apricots/apricots.cfg
install -m 644 apricots/*.psf %{buildroot}%{_datadir}/apricots
install -m 644 apricots/*.shapes %{buildroot}%{_datadir}/apricots

# menu-entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Type=Application
Encoding=UTF-8
Terminal=false
Name=Apricots
Comment=2D air combat game
Exec=%{name}
Icon=%{name}
Categories=Game;ArcadeGame;X-MandrivaLinux-MoreApplications-Games-Arcade
EOF
#icon
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -m 644 %{SOURCE1} \
$RPM_BUILD_ROOT%{_datadir}/pixmaps


%clean
rm -rf %{buildroot}

%post
%{update_menus}

%postun
%{clean_menus}
  

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README TODO
%config(noreplace) %{_sysconfdir}/apricots.cfg
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png


%changelog
* Wed Sep 19 2012 Neal <nealbrks0 at gmail dot com> 0.2.6-1pclos2012
- process

* Tue Sep 18 2012 Ken <lxgator at gmail.com> 0.2.6-1pclos2012
- first build

